[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'TimePopup' (#lcl)

# TTimePopupForm.GridPrepareCanvas

Sets the canvas text style for a grid on the form.

## Declaration

Source position: timepopup.pas line 41

`procedure TTimePopupForm.GridPrepareCanvas(`
`sender: TObject;`
`aCol: Integer;`
`aRow: Integer;`
`aState: TGridDrawState`
`);`

## Arguments

`sender` |  | Control updated in the method.
`aCol` |  | Ignored.
`aRow` |  | Ignored.
`aState` |  | Ignored.

## Description

GridPrepareCanvas ensures that the Canvas used to draw grid controls (TStringGrid) on the form has been initialized. GridPrepareCanvas sets the text layout and alignment needed for the Canvas property in the control.

Sender contains the grid control updated in the method. All other parameters are ignored in the current implementation.